
void _efl_ui_vg_animation_frame_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, int frame_num);


static Eina_Error
__eolian_efl_ui_vg_animation_frame_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_vg_animation_frame_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_vg_animation_frame_set, EFL_FUNC_CALL(frame_num), int frame_num);

int _efl_ui_vg_animation_frame_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Value
__eolian_efl_ui_vg_animation_frame_get_reflect(const Eo *obj)
{
   int val = efl_ui_vg_animation_frame_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_frame_get, int, 0);

Eina_Size2D _efl_ui_vg_animation_default_view_size_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_default_view_size_get, Eina_Size2D, ((Eina_Size2D){0}));

Efl_Ui_Vg_Animation_State _efl_ui_vg_animation_state_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_state_get, Efl_Ui_Vg_Animation_State, 0);

int _efl_ui_vg_animation_frame_count_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Value
__eolian_efl_ui_vg_animation_frame_count_get_reflect(const Eo *obj)
{
   int val = efl_ui_vg_animation_frame_count_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_frame_count_get, int, 0);

void _efl_ui_vg_animation_min_progress_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, double min_progress);


static Eina_Error
__eolian_efl_ui_vg_animation_min_progress_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_vg_animation_min_progress_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_vg_animation_min_progress_set, EFL_FUNC_CALL(min_progress), double min_progress);

double _efl_ui_vg_animation_min_progress_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Value
__eolian_efl_ui_vg_animation_min_progress_get_reflect(const Eo *obj)
{
   double val = efl_ui_vg_animation_min_progress_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_min_progress_get, double, 0.000000);

void _efl_ui_vg_animation_max_progress_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, double max_progress);


static Eina_Error
__eolian_efl_ui_vg_animation_max_progress_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_vg_animation_max_progress_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_vg_animation_max_progress_set, EFL_FUNC_CALL(max_progress), double max_progress);

double _efl_ui_vg_animation_max_progress_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Value
__eolian_efl_ui_vg_animation_max_progress_get_reflect(const Eo *obj)
{
   double val = efl_ui_vg_animation_max_progress_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_max_progress_get, double, 1.000000);

void _efl_ui_vg_animation_min_frame_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, int min_frame);


static Eina_Error
__eolian_efl_ui_vg_animation_min_frame_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_vg_animation_min_frame_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_vg_animation_min_frame_set, EFL_FUNC_CALL(min_frame), int min_frame);

int _efl_ui_vg_animation_min_frame_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Value
__eolian_efl_ui_vg_animation_min_frame_get_reflect(const Eo *obj)
{
   int val = efl_ui_vg_animation_min_frame_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_min_frame_get, int, 0);

void _efl_ui_vg_animation_max_frame_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, int max_frame);


static Eina_Error
__eolian_efl_ui_vg_animation_max_frame_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_vg_animation_max_frame_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_vg_animation_max_frame_set, EFL_FUNC_CALL(max_frame), int max_frame);

int _efl_ui_vg_animation_max_frame_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Value
__eolian_efl_ui_vg_animation_max_frame_get_reflect(const Eo *obj)
{
   int val = efl_ui_vg_animation_max_frame_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_vg_animation_max_frame_get, int, 0);

Eina_Bool _efl_ui_vg_animation_playing_sector(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, const char *start, const char *end);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_vg_animation_playing_sector, Eina_Bool, 0, EFL_FUNC_CALL(start, end), const char *start, const char *end);

void _efl_ui_vg_animation_value_provider_override(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Efl_Gfx_Vg_Value_Provider *value_provider);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_vg_animation_value_provider_override, EFL_FUNC_CALL(value_provider), Efl_Gfx_Vg_Value_Provider *value_provider);

Efl_Object *_efl_ui_vg_animation_efl_object_constructor(Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_object_destructor(Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


Eina_Error _efl_ui_vg_animation_efl_file_load(Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_file_unload(Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_gfx_entity_visible_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Bool v);


void _efl_ui_vg_animation_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Position2D pos);


void _efl_ui_vg_animation_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Size2D size);


void _efl_ui_vg_animation_efl_gfx_view_view_size_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Size2D size);


Eina_Size2D _efl_ui_vg_animation_efl_gfx_view_view_size_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


Eina_Bool _efl_ui_vg_animation_efl_player_playing_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Bool playing);


Eina_Bool _efl_ui_vg_animation_efl_player_playing_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


Eina_Bool _efl_ui_vg_animation_efl_player_paused_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Bool paused);


Eina_Bool _efl_ui_vg_animation_efl_player_paused_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_player_playback_position_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, double sec);


double _efl_ui_vg_animation_efl_player_playback_position_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_player_playback_progress_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, double progress);


double _efl_ui_vg_animation_efl_player_playback_progress_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_player_playback_speed_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, double speed);


double _efl_ui_vg_animation_efl_player_playback_speed_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


double _efl_ui_vg_animation_efl_playable_length_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


Eina_Bool _efl_ui_vg_animation_efl_playable_playable_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


Eina_Bool _efl_ui_vg_animation_efl_playable_seekable_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_player_autoplay_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Bool autoplay);


Eina_Bool _efl_ui_vg_animation_efl_player_autoplay_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


void _efl_ui_vg_animation_efl_player_playback_loop_set(Eo *obj, Efl_Ui_Vg_Animation_Data *pd, Eina_Bool looping);


Eina_Bool _efl_ui_vg_animation_efl_player_playback_loop_get(const Eo *obj, Efl_Ui_Vg_Animation_Data *pd);


static Eina_Bool
_efl_ui_vg_animation_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_VG_ANIMATION_EXTRA_OPS
#define EFL_UI_VG_ANIMATION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_frame_set, _efl_ui_vg_animation_frame_set),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_frame_get, _efl_ui_vg_animation_frame_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_default_view_size_get, _efl_ui_vg_animation_default_view_size_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_state_get, _efl_ui_vg_animation_state_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_frame_count_get, _efl_ui_vg_animation_frame_count_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_min_progress_set, _efl_ui_vg_animation_min_progress_set),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_min_progress_get, _efl_ui_vg_animation_min_progress_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_max_progress_set, _efl_ui_vg_animation_max_progress_set),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_max_progress_get, _efl_ui_vg_animation_max_progress_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_min_frame_set, _efl_ui_vg_animation_min_frame_set),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_min_frame_get, _efl_ui_vg_animation_min_frame_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_max_frame_set, _efl_ui_vg_animation_max_frame_set),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_max_frame_get, _efl_ui_vg_animation_max_frame_get),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_playing_sector, _efl_ui_vg_animation_playing_sector),
      EFL_OBJECT_OP_FUNC(efl_ui_vg_animation_value_provider_override, _efl_ui_vg_animation_value_provider_override),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_vg_animation_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_vg_animation_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_ui_vg_animation_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_ui_vg_animation_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_ui_vg_animation_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_vg_animation_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_vg_animation_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_view_size_set, _efl_ui_vg_animation_efl_gfx_view_view_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_view_size_get, _efl_ui_vg_animation_efl_gfx_view_view_size_get),
      EFL_OBJECT_OP_FUNC(efl_player_playing_set, _efl_ui_vg_animation_efl_player_playing_set),
      EFL_OBJECT_OP_FUNC(efl_player_playing_get, _efl_ui_vg_animation_efl_player_playing_get),
      EFL_OBJECT_OP_FUNC(efl_player_paused_set, _efl_ui_vg_animation_efl_player_paused_set),
      EFL_OBJECT_OP_FUNC(efl_player_paused_get, _efl_ui_vg_animation_efl_player_paused_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_position_set, _efl_ui_vg_animation_efl_player_playback_position_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_position_get, _efl_ui_vg_animation_efl_player_playback_position_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_progress_set, _efl_ui_vg_animation_efl_player_playback_progress_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_progress_get, _efl_ui_vg_animation_efl_player_playback_progress_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_speed_set, _efl_ui_vg_animation_efl_player_playback_speed_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_speed_get, _efl_ui_vg_animation_efl_player_playback_speed_get),
      EFL_OBJECT_OP_FUNC(efl_playable_length_get, _efl_ui_vg_animation_efl_playable_length_get),
      EFL_OBJECT_OP_FUNC(efl_playable_get, _efl_ui_vg_animation_efl_playable_playable_get),
      EFL_OBJECT_OP_FUNC(efl_playable_seekable_get, _efl_ui_vg_animation_efl_playable_seekable_get),
      EFL_OBJECT_OP_FUNC(efl_player_autoplay_set, _efl_ui_vg_animation_efl_player_autoplay_set),
      EFL_OBJECT_OP_FUNC(efl_player_autoplay_get, _efl_ui_vg_animation_efl_player_autoplay_get),
      EFL_OBJECT_OP_FUNC(efl_player_playback_loop_set, _efl_ui_vg_animation_efl_player_playback_loop_set),
      EFL_OBJECT_OP_FUNC(efl_player_playback_loop_get, _efl_ui_vg_animation_efl_player_playback_loop_get),
      EFL_UI_VG_ANIMATION_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"frame", __eolian_efl_ui_vg_animation_frame_set_reflect, __eolian_efl_ui_vg_animation_frame_get_reflect},
      {"frame_count", NULL, __eolian_efl_ui_vg_animation_frame_count_get_reflect},
      {"min_progress", __eolian_efl_ui_vg_animation_min_progress_set_reflect, __eolian_efl_ui_vg_animation_min_progress_get_reflect},
      {"max_progress", __eolian_efl_ui_vg_animation_max_progress_set_reflect, __eolian_efl_ui_vg_animation_max_progress_get_reflect},
      {"min_frame", __eolian_efl_ui_vg_animation_min_frame_set_reflect, __eolian_efl_ui_vg_animation_min_frame_get_reflect},
      {"max_frame", __eolian_efl_ui_vg_animation_max_frame_set_reflect, __eolian_efl_ui_vg_animation_max_frame_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_vg_animation_class_desc = {
   EO_VERSION,
   "Efl.Ui.Vg_Animation",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Vg_Animation_Data),
   _efl_ui_vg_animation_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_vg_animation_class_get, &_efl_ui_vg_animation_class_desc, EFL_UI_WIDGET_CLASS, EFL_GFX_VIEW_INTERFACE, EFL_FILE_MIXIN, EFL_PLAYER_INTERFACE, EFL_PLAYABLE_INTERFACE, NULL);
